﻿###############################################################
# Title       :  eMail if Synergy File is missing             #
# Author      :  Eric Krebill                                 #
# Date / Ver  :  10-29-2018 / 2.1                             #
###############################################################

######################### Universal Variables #########################
[xml]$univar = Get-Content $env:HOMEDRIVE\PowerShell\UniVar\UniVar.xml
$file = $univar.var.stufile + 'Original_from_Synergy.csv'
$SMTPServer = $univar.var.smtpserver
$SMTPPort = $univar.var.smtpport
$From = $univar.var.fromaddy
######### Consult README before modifying Universal Variables #########

# Modify these settings
$toaddy = 'user@domain.com'
$subject = 'Export not found'
$body = 'Export file missing from AD server.  Check WinSCP for errors.'

IF(!(Test-Path $file)){
  Send-MailMessage -From $From -To $toaddy -SmtpServer $SMTPServer -Port $SMTPPort -Subject $subject -Body $body 
}