﻿###############################################################
# Title       :  Weekly log archive / removal                 #
# Author      :  Eric Krebill                                 #
# Date / Ver  :  10-29-2018 / 2.1                             #
###############################################################

######################### Universal Variables #########################
[xml]$univar = Get-Content $env:HOMEDRIVE\PowerShell\UniVar\univar.xml
$logfile = $univar.var.stulog + 'LOG_ArchiveLogs.txt'
$logpath = $univar.var.stulog
$archivepath = $univar.var.stuarchive
######### Consult README before modifying Universal Variables #########

# Start by clearing the files from the Archive folder
Remove-Item -Path $archivePath* -Include *.txt

# Then move the files from the Logs folder into the Archive folder
Move-Item -Path $logPath* -Destination $archivePath -Include *.txt

# Add timestamp to log file
Add-Content -Path $logFile -Value "Process started $(Get-Date)" -PassThru