﻿#############################################################
# Title       : Start WinSCP script                         #
# Author      : Eric Krebill                                #
# Date / Ver  : 10/29/2018 / 2.1                            #
#############################################################

######################### Universal Variables #########################
[xml]$univar = Get-Content $env:HOMEDRIVE\PowerShell\UniVar\univar.xml
$logfile = $univar.var.stulog + 'LOG_WinSCP.txt'
$scriptPath = $univar.var.scpscript + 'ftpwinscp.txt'
$scpPath = $univar.var.winscp + 'WinSCP.com'
######### Consult README before modifying Universal Variables #########

#$scpPath = "C:\Program Files (x86)\WinSCP\WinSCP.com"

# Add start timestamp to log file
Add-Content -Path $logFile -Value "Process started $(Get-Date)" -PassThru

# Now lets get to work
& $scpPath /script=$scriptPath

# Add end timestamp to log file
Add-Content -Path $logFile -Value "Process completed $(Get-Date)" -PassThru